Subject: Re: [PATCH 2/2] staging/octeon: Allow test build on !MIPS

From: Greg KH <[email-masked]>
Date: Sat, 27 Jul 2019 16:51:45 +0200

On Sat, Jul 27, 2019 at 07:28:26AM -0700, Matthew Wilcox wrote:
> On Sat, Jul 27, 2019 at 12:57:06PM +0200, Greg KH wrote:
> > No real objection from me, having this driver able to be built on
> > non-mips systems would be great.
> > 
> > But wow, that stubs.h file is huge, you really need all of that?
> > There's no way to include the files from the mips "core" directly
> > instead for some of it?
> 
> I don't know.  I went the route of copying each structure/enum wholesale
> as I came across it in the build log rather than taking only the pieces
> of it that I needed.  My time versus a few hundred lines of source?
> 
> I think that a more wholesale restructuring of this driver would be
> helpful; there are a number of structures that are only used in the
> driver and not in the arch code, and those could then be removed from
> the stubs file.  But I have no long term investment in this driver;
> it just annoyed me to not be able to build it.

Ok, again, no objection from me, thanks for doing this work.

greg k-h